const db = require('../config/db');
const { comparePassword } = require('../util/hash');

async function findUserByCustomerNo(customerNo) {
  const result = await db.query('SELECT * FROM users WHERE customer_no = $1', [
    customerNo,
  ]);
  return result.rows[0];
}

async function validateUser(customerNo, password) {
  const user = await findUserByCustomerNo(customerNo);
  if (!user) return null;
  const isMatch = await comparePassword(password, user.password_hash);
  return isMatch ? user : null;
}

module.exports = { validateUser };
